summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorSteve Langasek <vorlon@debian.org>2009-08-04 16:21:55 +0100
committerSteve Langasek <vorlon@debian.org>2019-01-08 19:41:59 -0800
commit337ee6975a5d26087466f5271be9b1b3479f4d4f (patch)
tree2783f1f9b06c2e64fadbf16fbe1ce7bd9dfc2e36 /debian
parent5b175b34398c5c1be943083e463f28347845924d (diff)
Fix the config error *first* to limit the window of exposure as much as
possible, /then/ display the debconf error which may block the upgrade.
Diffstat (limited to 'debian')
-rw-r--r--debian/libpam-runtime.postinst8
1 files changed, 6 insertions, 2 deletions
diff --git a/debian/libpam-runtime.postinst b/debian/libpam-runtime.postinst
index 76a3fc21..ebdccc9e 100644
--- a/debian/libpam-runtime.postinst
+++ b/debian/libpam-runtime.postinst
@@ -8,8 +8,7 @@ if [ "x$2" != "x" ] ;then
if dpkg --compare-versions $2 lt 1.0.1-10 && dpkg --compare-versions $2 ge 1.0.1-6 ; then
db_get libpam-runtime/profiles
if [ "x$ret" = "x" ] ; then
- db_input critical libpam-runtime/you-had-no-auth ||true
- db_go
+ UHOH=1
fi
fi
fi
@@ -41,4 +40,9 @@ if [ -n "$force" ]; then
/etc/pam.d/common-session.pam-old
fi
+if [ -n "$UHOH" ]; then
+ db_input critical libpam-runtime/you-had-no-auth || true
+ db_go
+fi
+
#DEBHELPER#